/* Hangup.rexx                                                            */
/*                                                                        */
/* Version 1.0, 7 January 1993, by K. Raquel Sanborn (raquels@uhunix)     */
/*                                                                        */
/* An ARexx script that will hangup the phone after killing AmiTCP        */
/*                                                                        */
/* ---------------------------------------------------------------------- */

/* Start the required libraries                      */

    say 'Opening libraries...'

    check = addlib('rexxsupport.library', 0, -30, 0)
    if (check == 0) then say 'rexxsupport library did not open...'

    check = addlib('rexxarplib.library',  0, -30, 0)
    if (check == 0) then say 'rexxarplib did not open...'

    check = addlib('rexxserdev.library',  0, -30, 0)
    if (check == 0) then say 'rexxserdev did not open...'

    cr        = '0d'x
    hanup_str = 'ATH'||cr


/* Kill AmiTCP first */

    say 'KILLing AmiTCP via ARexx port...'
    address AMITCP
    'KILL'
    result = delay(200)


/* Open the serial device and talk to the modem                          */
/* Mine happens to be a 57600 baud Hayes-compatible on serial unit 0     */

    say 'Setting up serial device...'
    serhandle = SerOpen('serial.device', 0)
    check     = SerClear(serhandle)
    check     = SerSetParms(serhandle, 57600, 8, N, 1, 0 )


/* Send +++, wait the send ATH, then exit */

    say 'Sending +++'
    check = SerWrite(serhandle, '+++', length('+++'))
    check = delay(200)
    say 'Sending ATH<cr>'
    check = SerWrite(serhandle, 'A', 1)  /* Send it slow, I have a stupid */
    check = delay(2)                     /* MODEM! */
    check = SerWrite(serhandle, 'T', 1)
    check = delay(2)
    check = SerWrite(serhandle, 'H', 1)
    check = delay(2)
    check = SerWrite(serhandle, cr, 1)
    check = delay(50)
    check = SerClose(serhandle)
    say 'Done.'
exit 0
